var _confirmDialog = null;
function confirmCode() {
    var bResult;
    require( [ "dojo/dom-attr", "dijit/registry" ], function(domAttr, registry) {
            if (domAttr.get(_confirmDialog.ConfirmID, _confirmDialog.OriginalAttribute) === domAttr.get(_confirmDialog.ConfirmID, "value")) {
                bResult = true;
                domAttr.set(_confirmDialog.TargetButton, "data-confirmed", "1");
                registry.byId(_confirmDialog.DialogID).hide();
                if (_confirmDialog.callback) {
                    _confirmDialog.callback();
                }

                document.getElementById(_confirmDialog.TargetButton).click();
            } else {
                bResult = false;
                alert('The confirmation code you entered is not\ncorrect. Please verify the code and try again.');
            }
        });
    return bResult;
}
function displayConfirmationDialog(dlgDefinition) { 
    _confirmDialog = dlgDefinition;
    var bResult;
    require( [ "dojo/dom-attr" ], function(domAttr) {
            if (domAttr.get(_confirmDialog.TargetButton, "data-confirmed") === "1") {
                bResult = true;
            } else {
                require( [ "dijit/registry" ], function(registry) {
                        registry.byId(_confirmDialog.DialogID).show();
                        domAttr.set(_confirmDialog.Cancel, "onclick", hideConfirmDeleteDialog);
                        domAttr.set(_confirmDialog.OK, "onclick", confirmCode);
                    });
                bResult = false;
            }
        });
    return bResult;
}
function hideConfirmDeleteDialog() {
    require( [ "dijit/registry" ], function(registry) { registry.byId(_confirmDialog.DialogID).hide(); });
    return true;
}
