/*
    scripts related to previewing changes.
*/

var styleControls=[
    ["IDBackgroundColor","background-color"],
    ["IDTextColor","color"],
    ["IDFontFamily","font-family"],
    ["IDFontSize","font-size"],
    ["IDDecoration","text-decoration"]
];

function updatePreview(event){
    require(["dojo/dom-style"],function(domStyle){
        var destNode=document.getElementById('IDPreviewText');

        for (var i=0; i < styleControls.length; i++) {
            var txt=document.getElementById(styleControls[i][0]).value.trim();
            domStyle.set(destNode,styleControls[i][1],txt);
        }
    });
}

require(["dojo/on","dojo/domReady!"],function(on){
    updatePreview();
});
